diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/ht-capabilities.h ns-3.31/src/wifi/model/ht-capabilities.h
--- ns-3.30.1/src/wifi/model/ht-capabilities.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/ht-capabilities.h	2020-06-27 17:38:30.000000000 -0700
@@ -37,19 +37,31 @@
  * \ingroup wifi
  *
  * This class knows how to serialise and deserialise the HT Capabilities Information Element
- *
- * \see attribute_HtCapabilities
  */
 class HtCapabilities : public WifiInformationElement
 {
 public:
   HtCapabilities ();
+
+  // Implementations of pure virtual methods of WifiInformationElement
+  WifiInformationElementId ElementId () const;
+  uint8_t GetInformationFieldSize () const;
+  void SerializeInformationField (Buffer::Iterator start) const;
+  uint8_t DeserializeInformationField (Buffer::Iterator start,
+                                       uint8_t length);
+  /* This information element is a bit special in that it is only
+     included if the STA is an HT STA. To support this we
+     override the Serialize and GetSerializedSize methods of
+     WifiInformationElement. */
+  Buffer::Iterator Serialize (Buffer::Iterator start) const;
+  uint16_t GetSerializedSize () const;
+
   /**
    * Set the HT supported field.
    *
-   * \param htsupported the HT supported field
+   * \param htSupported the HT supported field
    */
-  void SetHtSupported (uint8_t htsupported);
+  void SetHtSupported (uint8_t htSupported);
 
   /**
    * Set the HT Capabilities Info field in the HT Capabilities information element.
@@ -92,89 +104,89 @@
   /**
    * Set the LDPC field.
    *
-   * \param ldpc
+   * \param ldpc the LDPC field
    */
   void SetLdpc (uint8_t ldpc);
   /**
    * Set the supported channel width field.
    *
-   * \param supportedchannelwidth
+   * \param supportedChannelWidth the supported channel width field
    */
-  void SetSupportedChannelWidth (uint8_t supportedchannelwidth);
+  void SetSupportedChannelWidth (uint8_t supportedChannelWidth);
   /**
-   * Set the green field.
+   * Set the Greenfield field.
    *
-   * \param greenfield
+   * \param greenfield the Greenfield field
    */
   void SetGreenfield (uint8_t greenfield);
   /**
    * Set the short guard interval 20 field.
    *
-   * \param shortguardinterval
+   * \param shortGuardInterval the short guard interval
    */
-  void SetShortGuardInterval20 (uint8_t shortguardinterval);
+  void SetShortGuardInterval20 (uint8_t shortGuardInterval);
   /**
    * Set the short guard interval 40 field.
    *
-   * \param shortguardinterval
+   * \param shortGuardInterval the short guard interval
    */
-  void SetShortGuardInterval40 (uint8_t shortguardinterval);
+  void SetShortGuardInterval40 (uint8_t shortGuardInterval);
   /**
    * Set the maximum AMSDU length.
    *
-   * \param maxamsdulength Either 3839 or 7935
+   * \param maxAmsduLength Either 3839 or 7935
    */
-  void SetMaxAmsduLength (uint16_t maxamsdulength);
+  void SetMaxAmsduLength (uint16_t maxAmsduLength);
   /**
    * Set the LSIG protection support.
    *
-   * \param lsigprotection
+   * \param lSigProtection the LSIG protection support field
    */
-  void SetLSigProtectionSupport (uint8_t lsigprotection);
+  void SetLSigProtectionSupport (uint8_t lSigProtection);
 
   /**
    * Set the maximum AMPDU length.
    *
-   * \param maxampdulength 2^(13 + x) - 1, x in the range 0 to 3
+   * \param maxAmpduLength 2^(13 + x) - 1, x in the range 0 to 3
    */
-  void SetMaxAmpduLength (uint32_t maxampdulength);
+  void SetMaxAmpduLength (uint32_t maxAmpduLength);
 
   /**
    * Set the receive MCS bitmask.
    *
-   * \param index
+   * \param index the index of the receive MCS
    */
   void SetRxMcsBitmask (uint8_t index);
   /**
    * Set the receive highest supported data rate.
    *
-   * \param maxsupportedrate
+   * \param maxSupportedRate the maximum supported data rate
    */
-  void SetRxHighestSupportedDataRate (uint16_t maxsupportedrate);
+  void SetRxHighestSupportedDataRate (uint16_t maxSupportedRate);
   /**
    * Set the transmit MCS set defined.
    *
-   * \param txmcssetdefined
+   * \param txMcsSetDefined the TX MCS set defined
    */
-  void SetTxMcsSetDefined (uint8_t txmcssetdefined);
+  void SetTxMcsSetDefined (uint8_t txMcsSetDefined);
   /**
    * Set the transmit / receive MCS set unequal.
    *
-   * \param txrxmcssetunequal
+   * \param txRxMcsSetUnequal the TX/RX MCS set unequal field
    */
-  void SetTxRxMcsSetUnequal (uint8_t txrxmcssetunequal);
+  void SetTxRxMcsSetUnequal (uint8_t txRxMcsSetUnequal);
   /**
    * Set the transmit maximum N spatial streams.
    *
-   * \param maxtxspatialstreams
+   * \param maxTxSpatialStreams the maximum number of TX SSs
    */
-  void SetTxMaxNSpatialStreams (uint8_t maxtxspatialstreams);
+  void SetTxMaxNSpatialStreams (uint8_t maxTxSpatialStreams);
   /**
    * Set the transmit unequal modulation.
    *
-   * \param txunequalmodulation
+   * \param txUnequalModulation the TX unequal modulation field
    */
-  void SetTxUnequalModulation (uint8_t txunequalmodulation);
+  void SetTxUnequalModulation (uint8_t txUnequalModulation);
 
   /**
    * Return the HT Capabilities Info field in the HT Capabilities information element.
@@ -232,9 +244,9 @@
    */
   uint8_t GetSupportedChannelWidth (void) const;
   /**
-   * Return the green field.
+   * Return the Greenfield field.
    *
-   * \return the green field
+   * \return the Greenfield field
    */
   uint8_t GetGreenfield (void) const;
   /**
@@ -270,132 +282,93 @@
    */
   uint8_t GetRxHighestSupportedAntennas (void) const;
 
-  /**
-   * Return the element ID.
-   *
-   * \return the element ID
-   */
-  WifiInformationElementId ElementId () const;
-  /**
-   * Return the information field size.
-   *
-   * \return the information field size
-   */
-  uint8_t GetInformationFieldSize () const;
-  /**
-   * Serialize the information field.
-   *
-   * \param start the information field
-   */
-  void SerializeInformationField (Buffer::Iterator start) const;
-  /**
-   * Return the information field.
-   *
-   * \param start field
-   * \param length field length
-   *
-   * \return the information field
-   */
-  uint8_t DeserializeInformationField (Buffer::Iterator start,
-                                       uint8_t length);
-  /**
-   * This information element is a bit special in that it is only
-   * included if the STA is an HT STA. To support this we
-   * override the Serialize and GetSerializedSize methods of
-   * WifiInformationElement.
-   *
-   * \param start
-   *
-   * \return an iterator
-   */
-  Buffer::Iterator Serialize (Buffer::Iterator start) const;
-  /**
-   * Return the serialized size of this HT capability
-   * information element.
-   *
-   * \return the serialized size of this HT capability information element
-   */
-  uint16_t GetSerializedSize () const;
-
 
 private:
   //HT Capabilities Info field
-  uint8_t m_ldpc; ///< LDPC
+  uint8_t m_ldpc;                  ///< LDPC
   uint8_t m_supportedChannelWidth; ///< supported channel width
-  uint8_t m_smPowerSave; ///< SM power save
-  uint8_t m_greenField; ///< green field
-  uint8_t m_shortGuardInterval20; ///< short guard interval 20
-  uint8_t m_shortGuardInterval40; ///< short guard interval 40
-  uint8_t m_txStbc; ///< transmit STBC
-  uint8_t m_rxStbc; ///< receive STBC
-  uint8_t m_htDelayedBlockAck; ///< HT delayed block ack
-  uint8_t m_maxAmsduLength; ///< maximum AMSDU length
-  uint8_t m_dssMode40; ///< DSS mode 40
-  uint8_t m_psmpSupport; ///< PSMP support
-  uint8_t m_fortyMhzIntolerant; ///< 40 Mhz intolerant
-  uint8_t m_lsigProtectionSupport; ///< LSIG protection support
+  uint8_t m_smPowerSave;           ///< SM power save
+  uint8_t m_greenField;            ///< Greenfield
+  uint8_t m_shortGuardInterval20;  ///< short guard interval 20 MHz
+  uint8_t m_shortGuardInterval40;  ///< short guard interval 40 MHz
+  uint8_t m_txStbc;                ///< transmit STBC
+  uint8_t m_rxStbc;                ///< receive STBC
+  uint8_t m_htDelayedBlockAck;     ///< HT delayed block ack
+  uint8_t m_maxAmsduLength;        ///< maximum A-MSDU length
+  uint8_t m_dssMode40;             ///< DSS mode 40
+  uint8_t m_psmpSupport;           ///< PSMP support
+  uint8_t m_fortyMhzIntolerant;    ///< 40 MHz intolerant
+  uint8_t m_lsigProtectionSupport; ///< L-SIG protection support
 
   //A-MPDU Parameters field
-  uint8_t m_maxAmpduLengthExponent; ///< maximum AMPDU length
-  uint8_t m_minMpduStartSpace; ///< minimum MPDU start space
-  uint8_t m_ampduReserved; ///< AMPDU reserved
+  uint8_t m_maxAmpduLengthExponent; ///< maximum A-MPDU length
+  uint8_t m_minMpduStartSpace;      ///< minimum MPDU start space
+  uint8_t m_ampduReserved;          ///< A-MPDU reserved
 
   //Supported MCS Set field
-  uint8_t m_reservedMcsSet1; ///< reserved MCS set 1
-  uint16_t m_rxHighestSupportedDataRate; ///< receive highest supported data rate
-  uint8_t m_reservedMcsSet2; ///< reserved MCS set 2
-  uint8_t m_txMcsSetDefined; ///< transmit MCS set defined
-  uint8_t m_txRxMcsSetUnequal; ///< transmit / receive MCS set unequal
-  uint8_t m_txMaxNSpatialStreams; ///< transmit maximum number spatial streams
-  uint8_t m_txUnequalModulation; ///< transmit unequal modulation
-  uint32_t m_reservedMcsSet3; ///< reserved MCS set 3
+  uint8_t m_reservedMcsSet1;                 ///< reserved MCS set 1
+  uint16_t m_rxHighestSupportedDataRate;     ///< receive highest supported data rate
+  uint8_t m_reservedMcsSet2;                 ///< reserved MCS set 2
+  uint8_t m_txMcsSetDefined;                 ///< transmit MCS set defined
+  uint8_t m_txRxMcsSetUnequal;               ///< transmit / receive MCS set unequal
+  uint8_t m_txMaxNSpatialStreams;            ///< transmit maximum number spatial streams
+  uint8_t m_txUnequalModulation;             ///< transmit unequal modulation
+  uint32_t m_reservedMcsSet3;                ///< reserved MCS set 3
   uint8_t m_rxMcsBitmask[MAX_SUPPORTED_MCS]; ///< receive MCS bitmask
 
   //HT Extended Capabilities field
-  uint8_t m_pco; ///< PCO
-  uint8_t m_pcoTransitionTime; ///< PCO trnsition time
-  uint8_t m_reservedExtendedCapabilities; ///< reserved extended capabilities
-  uint8_t m_mcsFeedback; ///< MCS feedback
-  uint8_t m_htcSupport; ///< HTS support
-  uint8_t m_reverzeDirectionResponder; ///< reverse direction responder
+  uint8_t m_pco;                           ///< PCO
+  uint8_t m_pcoTransitionTime;             ///< PCO transition time
+  uint8_t m_reservedExtendedCapabilities;  ///< reserved extended capabilities
+  uint8_t m_mcsFeedback;                   ///< MCS feedback
+  uint8_t m_htcSupport;                    ///< HTC support
+  uint8_t m_reverseDirectionResponder;     ///< reverse direction responder
   uint8_t m_reservedExtendedCapabilities2; ///< reserver extended capabilities 2
 
   //Transmit Beamforming Capabilities field
-  uint8_t m_implicitRxBfCapable; ///< implicit receive BF capable
-  uint8_t m_rxStaggeredSoundingCapable; ///< receive staggered sounding capable
-  uint8_t m_txStaggeredSoundingCapable; ///< transmit staggered soundign capable
-  uint8_t m_rxNdpCapable; ///< receive NDP capable
-  uint8_t m_txNdpCapable; ///< transmit NDP capable
-  uint8_t m_implicitTxBfCapable; ///< implicit transmit BF capable
-  uint8_t m_calibration; ///< calibration
-  uint8_t m_explicitCsiTxBfCapable; ///< explicit CSI transmit BF capable
-  uint8_t m_explicitNoncompressedSteeringCapable; ///< explicit non compressed steeering capable
-  uint8_t m_explicitCompressedSteeringCapable; ///< explicit compressed steeering capable
-  uint8_t m_explicitTxBfCsiFeedback; ///< explicit transmit BF CSI feedback
-  uint8_t m_explicitNoncompressedBfFeedbackCapable; ///< eplicit non complressed BF feedback capable
-  uint8_t m_explicitCompressedBfFeedbackCapable; ///< explicit compressed BF feedback capable
-  uint8_t m_minimalGrouping; ///< minimal grouping
-  uint8_t m_csiNBfAntennasSupported; ///< CSI NBF antenna supported
+  uint8_t m_implicitRxBfCapable;                       ///< implicit receive BF capable
+  uint8_t m_rxStaggeredSoundingCapable;                ///< receive staggered sounding capable
+  uint8_t m_txStaggeredSoundingCapable;                ///< transmit staggered sounding capable
+  uint8_t m_rxNdpCapable;                              ///< receive NDP capable
+  uint8_t m_txNdpCapable;                              ///< transmit NDP capable
+  uint8_t m_implicitTxBfCapable;                       ///< implicit transmit BF capable
+  uint8_t m_calibration;                               ///< calibration
+  uint8_t m_explicitCsiTxBfCapable;                    ///< explicit CSI transmit BF capable
+  uint8_t m_explicitNoncompressedSteeringCapable;      ///< explicit non compressed steeering capable
+  uint8_t m_explicitCompressedSteeringCapable;         ///< explicit compressed steeering capable
+  uint8_t m_explicitTxBfCsiFeedback;                   ///< explicit transmit BF CSI feedback
+  uint8_t m_explicitNoncompressedBfFeedbackCapable;    ///< explicit non compressed BF feedback capable
+  uint8_t m_explicitCompressedBfFeedbackCapable;       ///< explicit compressed BF feedback capable
+  uint8_t m_minimalGrouping;                           ///< minimal grouping
+  uint8_t m_csiNBfAntennasSupported;                   ///< CSI NBF antenna supported
   uint8_t m_noncompressedSteeringNBfAntennasSupported; ///< non compressed steering NBF antenna supported
-  uint8_t m_compressedSteeringNBfAntennasSupported; ///< compressed steering NBF antenna supported
-  uint8_t m_csiMaxNRowsBfSupported; ///< CSI maximum number rows BF supported
-  uint8_t m_channelEstimationCapability; ///< channel estimation capability
-  uint8_t m_reservedTxBf; ///< reserved  transmit BF
+  uint8_t m_compressedSteeringNBfAntennasSupported;    ///< compressed steering NBF antenna supported
+  uint8_t m_csiMaxNRowsBfSupported;                    ///< CSI maximum number rows BF supported
+  uint8_t m_channelEstimationCapability;               ///< channel estimation capability
+  uint8_t m_reservedTxBf;                              ///< reserved  transmit BF
 
   //ASEL Capabilities field
-  uint8_t m_antennaSelectionCapability; ///< antenna selection capability
-  uint8_t m_explicitCsiFeedbackBasedTxASelCapable; ///< explicit CSI feedback based transmit a sel capable
-  uint8_t m_antennaIndicesFeedbackBasedTxASelCapable; ///< antenna indices feedback absed transmit a sel capable
-  uint8_t m_explicitCsiFeedbackCapable; ///< explicit CSI feedback capable
-  uint8_t m_antennaIndicesFeedbackCapable; ///< antenna indices feedback capable
-  uint8_t m_rxASelCapable; ///< receive a sel capable
-  uint8_t m_txSoundingPpdusCapable; ///< sounding PPDUS capable
-  uint8_t m_reservedASel; ///< reserved a sel
+  uint8_t m_antennaSelectionCapability;               ///< antenna selection capability
+  uint8_t m_explicitCsiFeedbackBasedTxASelCapable;    ///< explicit CSI feedback based transmit antenna selection capable
+  uint8_t m_antennaIndicesFeedbackBasedTxASelCapable; ///< antenna indices feedback based transmit antenna selection capable
+  uint8_t m_explicitCsiFeedbackCapable;               ///< explicit CSI feedback capable
+  uint8_t m_antennaIndicesFeedbackCapable;            ///< antenna indices feedback capable
+  uint8_t m_rxASelCapable;                            ///< receive antenna selection capable
+  uint8_t m_txSoundingPpdusCapable;                   ///< sounding PPDUS capable
+  uint8_t m_reservedASel;                             ///< reserved ASEL
 
   /// This is used to decide whether this element should be added to the frame or not
   uint8_t m_htSupported;
 };
 
+/**
+ * output stream output operator
+ *
+ * \param os output stream
+ * \param htcapabilities the HT capabilities
+ *
+ * \returns output stream
+ */
 std::ostream &operator << (std::ostream &os, const HtCapabilities &htcapabilities);
 
 } //namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/ht-configuration.h ns-3.31/src/wifi/model/ht-configuration.h
--- ns-3.30.1/src/wifi/model/ht-configuration.h	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/ht-configuration.h	2020-06-27 17:38:30.000000000 -0700
@@ -39,6 +39,10 @@
   HtConfiguration ();
   virtual ~HtConfiguration ();
 
+  /**
+   * \brief Get the type ID.
+   * \return the object TypeId
+   */
   static TypeId GetTypeId (void);
 
   /**
diff -Naur -x '*.dia' -x '*.pcap' ns-3.30.1/src/wifi/model/ht-operation.cc ns-3.31/src/wifi/model/ht-operation.cc
--- ns-3.30.1/src/wifi/model/ht-operation.cc	2019-08-12 16:30:34.000000000 -0700
+++ ns-3.31/src/wifi/model/ht-operation.cc	2020-06-27 17:38:30.000000000 -0700
@@ -64,15 +64,15 @@
 }
 
 void
-HtOperation::SetHtSupported (uint8_t htsupported)
+HtOperation::SetHtSupported (uint8_t htSupported)
 {
-  m_htSupported = htsupported;
+  m_htSupported = htSupported;
 }
 
 uint8_t
 HtOperation::GetInformationFieldSize () const
 {
-  //we should not be here if ht is not supported
+  //we should not be here if HT is not supported
   NS_ASSERT (m_htSupported > 0);
   return 22;
 }
@@ -84,75 +84,75 @@
 }
 
 void
-HtOperation::SetSecondaryChannelOffset (uint8_t secondarychanneloffset)
+HtOperation::SetSecondaryChannelOffset (uint8_t secondaryChannelOffset)
 {
-  m_secondaryChannelOffset = secondarychanneloffset;
+  m_secondaryChannelOffset = secondaryChannelOffset;
 }
 
 void
-HtOperation::SetStaChannelWidth (uint8_t stachannelwidth)
+HtOperation::SetStaChannelWidth (uint8_t staChannelWidth)
 {
-  m_staChannelWidth = stachannelwidth;
+  m_staChannelWidth = staChannelWidth;
 }
 
 void
-HtOperation::SetRifsMode (uint8_t rifsmode)
+HtOperation::SetRifsMode (uint8_t rifsMode)
 {
-  m_rifsMode = rifsmode;
+  m_rifsMode = rifsMode;
 }
 
 void
-HtOperation::SetHtProtection (uint8_t htprotection)
+HtOperation::SetHtProtection (uint8_t htProtection)
 {
-  m_htProtection = htprotection;
+  m_htProtection = htProtection;
 }
 
 void
-HtOperation::SetNonGfHtStasPresent (uint8_t nongfhtstaspresent)
+HtOperation::SetNonGfHtStasPresent (uint8_t nonGfHtStasPresent)
 {
-  m_nonGfHtStasPresent = nongfhtstaspresent;
+  m_nonGfHtStasPresent = nonGfHtStasPresent;
 }
 
 void
-HtOperation::SetObssNonHtStasPresent (uint8_t obssnonhtstaspresent)
+HtOperation::SetObssNonHtStasPresent (uint8_t obssNonHtStasPresent)
 {
-  m_obssNonHtStasPresent = obssnonhtstaspresent;
+  m_obssNonHtStasPresent = obssNonHtStasPresent;
 }
 
 void
-HtOperation::SetDualBeacon (uint8_t dualbeacon)
+HtOperation::SetDualBeacon (uint8_t dualBeacon)
 {
-  m_dualBeacon = dualbeacon;
+  m_dualBeacon = dualBeacon;
 }
 
 void
-HtOperation::SetDualCtsProtection (uint8_t dualctsprotection)
+HtOperation::SetDualCtsProtection (uint8_t dualCtsProtection)
 {
-  m_dualCtsProtection = dualctsprotection;
+  m_dualCtsProtection = dualCtsProtection;
 }
 
 void
-HtOperation::SetStbcBeacon (uint8_t stbcbeacon)
+HtOperation::SetStbcBeacon (uint8_t stbcBeacon)
 {
-  m_stbcBeacon = stbcbeacon;
+  m_stbcBeacon = stbcBeacon;
 }
 
 void
-HtOperation::SetLSigTxopProtectionFullSupport (uint8_t lsigtxopprotectionfullsupport)
+HtOperation::SetLSigTxopProtectionFullSupport (uint8_t lSigTxopProtectionFullSupport)
 {
-  m_lSigTxopProtectionFullSupport = lsigtxopprotectionfullsupport;
+  m_lSigTxopProtectionFullSupport = lSigTxopProtectionFullSupport;
 }
 
 void
-HtOperation::SetPcoActive (uint8_t pcoactive)
+HtOperation::SetPcoActive (uint8_t pcoActive)
 {
-  m_pcoActive = pcoactive;
+  m_pcoActive = pcoActive;
 }
 
 void
-HtOperation::SetPhase (uint8_t pcophase)
+HtOperation::SetPhase (uint8_t pcoPhase)
 {
-  m_pcoPhase = pcophase;
+  m_pcoPhase = pcoPhase;
 }
 
 void
@@ -162,33 +162,33 @@
 }
 
 void
-HtOperation::SetRxHighestSupportedDataRate (uint16_t maxsupportedrate)
+HtOperation::SetRxHighestSupportedDataRate (uint16_t maxSupportedRate)
 {
-  m_rxHighestSupportedDataRate = maxsupportedrate;
+  m_rxHighestSupportedDataRate = maxSupportedRate;
 }
 
 void
-HtOperation::SetTxMcsSetDefined (uint8_t txmcssetdefined)
+HtOperation::SetTxMcsSetDefined (uint8_t txMcsSetDefined)
 {
-  m_txMcsSetDefined = txmcssetdefined;
+  m_txMcsSetDefined = txMcsSetDefined;
 }
 
 void
-HtOperation::SetTxRxMcsSetUnequal (uint8_t txrxmcssetunequal)
+HtOperation::SetTxRxMcsSetUnequal (uint8_t txRxMcsSetUnequal)
 {
-  m_txRxMcsSetUnequal = txrxmcssetunequal;
+  m_txRxMcsSetUnequal = txRxMcsSetUnequal;
 }
 
 void
-HtOperation::SetTxMaxNSpatialStreams (uint8_t maxtxspatialstreams)
+HtOperation::SetTxMaxNSpatialStreams (uint8_t maxTxSpatialStreams)
 {
-  m_txMaxNSpatialStreams = maxtxspatialstreams - 1; //0 for 1 SS, 1 for 2 SSs, etc
+  m_txMaxNSpatialStreams = maxTxSpatialStreams - 1; //0 for 1 SS, 1 for 2 SSs, etc
 }
 
 void
-HtOperation::SetTxUnequalModulation (uint8_t txunequalmodulation)
+HtOperation::SetTxUnequalModulation (uint8_t txUnequalModulation)
 {
-  m_txUnequalModulation = txunequalmodulation;
+  m_txUnequalModulation = txUnequalModulation;
 }
 
 uint8_t
@@ -489,14 +489,6 @@
   return length;
 }
 
-/**
- * output stream output operator
- *
- * \param os output stream
- * \param htOperation the HT operation
- *
- * \returns output stream
- */
 std::ostream &
 operator << (std::ostream &os, const HtOperation &htOperation)
 {
